<?php
class ControllerPaymentCop extends Controller {
	protected function index() {
    	$this->data['button_confirm'] = $this->language->get('button_confirm');
    	$this->data['continue'] = $this->url->link('checkout/success');

		$this->language->load('payment/cop');
    	$this->data['cop_instruction'] = $this->language->get('text_instruction');

		$this->data['cop_instructions'] = nl2br($this->config->get('cop_instructions_' . $this->config->get('config_language_id')));

		
		if (file_exists(DIR_TEMPLATE . $this->config->get('config_template') . '/template/payment/cop.tpl')) {
			$this->template = $this->config->get('config_template') . '/template/payment/cop.tpl';
		} else {
			$this->template = 'default/template/payment/cop.tpl';
		}	
		
		$this->render();
	}
	
	public function confirm() {
		$this->load->model('checkout/order');
		
		$this->model_checkout_order->confirm($this->session->data['order_id'], $this->config->get('cop_order_status_id'));
	}
}
?>