<?php
// Heading 
$_['heading_title']                  = 'Afrekenen';

// Text
$_['text_cart']                      = 'Winkelwagen';
$_['text_checkout_option']           = 'Stap 1: Gewenste manier van afrekenen';
$_['text_checkout_account']          = 'Stap 2: Besteladres';
$_['text_checkout_payment_address']  = 'Stap 2: Besteladres';
$_['text_checkout_shipping_address'] = 'Stap 3: Afleveradres';
$_['text_checkout_shipping_method']  = 'Stap 4: Verzendmethode';
$_['text_checkout_payment_method']   = 'Stap 5: Betaalmethode';
$_['text_checkout_confirm']          = 'Stap 6: Bestelling bevestigen';
$_['text_modify']                    = 'Aanpassen &raquo;';
$_['text_new_customer']              = 'Nieuwe klant';
$_['text_returning_customer']        = 'Terugkerende klant';
$_['text_checkout']                  = 'Kies uw manier van afrekenen:';
$_['text_i_am_returning_customer']   = 'Ik ben een terugkerende klant';
$_['text_register']                  = 'Registreren';
$_['text_guest']                     = 'Direct afrekenen';
$_['text_register_account']          = 'Door een account aan te maken kunt u sneller en makkelijker bestellen. Daarnaast kunt u uw eerdere en huidige bestellingen eenvoudig bekijken.';
$_['text_forgotten']                 = 'Wachtwoord vergeten';
$_['text_your_details']              = 'Persoonlijke gegevens';
$_['text_your_address']              = 'Adres gegevens';
$_['text_your_password']             = 'Uw wachtwoord';
$_['text_agree']                     = 'Ik heb de <a class="thickbox" href="%s" alt="%s"><b>%s</b></a> gelezen en ga hiermee akkoord';
$_['text_address_new']               = 'Ik wil een nieuw factuuradres aanmaken';
$_['text_address_existing']          = 'Ik wil een bestaand factuuradres gebruiken';
$_['text_shipping_method']           = 'Kies de gewenste verzendmethode.';
$_['text_payment_method']            = 'Kies de gewenste betaalmethode.';
$_['text_comments']                  = 'Voeg eventueel een opmerking aan uw bestelling toe';

// Column
$_['column_name']                    = 'Product';
$_['column_model']                   = 'Model';
$_['column_quantity']                = 'aantal';
$_['column_price']                   = 'Prijs';
$_['column_total']                   = 'Totaal';

// Entry
$_['entry_email_address']  = 'E-mail adres:';
$_['entry_email']          = 'E-mail adres:';
$_['entry_password']       = 'Uw wachtwoord:';
$_['entry_confirm']        = 'Bevestig uw wachtwoord:';
$_['entry_firstname']      = 'Voornaam:';
$_['entry_lastname']       = 'Achternaam:';
$_['entry_telephone']      = 'Telefoon:';
$_['entry_fax']            = 'Fax:';
$_['entry_company']        = 'Bedrijf:';
$_['entry_address_1']      = 'Adres 1:';
$_['entry_address_2']      = 'Adres 2:';
$_['entry_postcode']       = 'Postcode:';
$_['entry_city']           = 'Woonplaats:';
$_['entry_country']        = 'Land:';
$_['entry_zone']           = 'Provincie / Regio:';
$_['entry_newsletter']     = 'Ik ontvang graag de nieuwsbrief.';
$_['entry_shipping'] 	   = 'Mijn factuur en afleveradres zijn hetzelfde.';

// Error
$_['error_warning']        = 'Er was een probleem met het verwerken van uw bestelling. Mocht probleem blijven aanhouden kies dan een andere betaalmethode of neem dan <a href="%s">contact</a> op ons op.';
$_['error_minimum']        = 'Minimum te bestellen aantal voor %s is %s!';	
$_['error_login']          = 'Het door u opgegeven e-mail adres en/of wachtwoord is niet gevonden in onze database, probeer het opnieuw.';
$_['error_exists']         = 'Er bestaat al een account met dit e-mail adres!';
$_['error_firstname']      = 'Voornaam dient tussen de 1 en 32 tekens lang te zijn!';
$_['error_lastname']       = 'Achternaam dient tussen de 1 en 32 tekens lang te zijn!';
$_['error_email']          = 'E-mail adres lijkt ongeldig!';
$_['error_telephone']      = 'Telefoon dient tussen de 3 en 32 tekens lang te zijn!';
$_['error_password']       = 'Wachtwoord dient tussen de 3 en 20 tekens lang te zijn!';
$_['error_confirm']        = 'Wachtwoorden komen niet overeen!';
$_['error_address_1']      = 'Adres 1 dient tussen de 3 en 128 tekens lang te zijn!';
$_['error_city']           = 'Woonplaats dient tussen de 2 en 128 tekens lang te zijn!';
$_['error_postcode']       = 'Postcode dient tussen de 2 en 10 tekens lang te zijn!';
$_['error_country']        = 'Keuze van land is verplicht!';
$_['error_zone']           = 'Keuze van provincie / regio is verplicht!';
$_['error_agree']          = 'U moet akkoord gaan met onze %s!';
$_['error_address']        = 'geen adres geselecteerd!';
$_['error_shipping']       = 'Geen verzendmethode geselecteerd!';
$_['error_no_shipping']    = 'Verzendmethode(s) niet beschikbaar! Neem <a href="%s">contact</a> met ons op!';
$_['error_payment']        = 'Geen betaalmethode geselecteerd!';
$_['error_no_payment']     = 'Betaalmethode(s) niet beschikbaar! Neem <a href="%s">contact</a> met ons op!';
$_['error_payment_combination']        = 'Kies een andere betaaloptie, want %s is niet mogelijk bij versturen!';
$_['error_payment_combination2']        = 'Kies een andere betaaloptie, want %s is alleen mogelijk bij Rembours zendingen!';

?>